Bug 174313 - check should be recompiled with -fPIC
check should be recompiled with -fPIC
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: check (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-27 13:15 EST by Simon Lanzmich
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-02 18:03:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Lanzmich 2005-11-27 13:15:17 EST
When I tried to compile gstreamer (0.9.4 and also later versions) on FC4 on
x86_64, it gave me the following error:
[...]
/usr/lib/gcc/x86_64-redhat-linux/4.0.1/../../../../lib64/libcheck.a(check.o):
relocation R_X86_64_32 against `a local symbol' can not be used when making a
shared object; recompile with -fPIC
/usr/lib/gcc/x86_64-redhat-linux/4.0.1/../../../../lib64/libcheck.a: could not
read symbols: Bad value
[...]

I was told that this was a problem with check and that I should ask for check
being recompiled with -fPIC.

This is the corresponding bug on bugzilla.gnome.org (#320756):
http://bugzilla.gnome.org/show_bug.cgi?id=320756
Comment 1 Tom "spot" Callaway 2005-12-02 18:03:09 EST
Should be fixed in check-0.9.3-3.


Note You need to log in before you can comment on or make changes to this bug.